<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [getBidPrice](./bitburner.stock.getbidprice.md)

## Stock.getBidPrice() method

Returns the bid price of that stock.

**Signature:**

```typescript
getBidPrice(sym: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sym


</td><td>

string


</td><td>

Stock symbol.


</td></tr>
</tbody></table>

**Returns:**

number

The bid price of a stock.

## Remarks

RAM cost: 2 GB

